<?
include("../fnc.php");
enlinea_c();

if(!$idt or !$ida){
 alert("Parámetros incorrectos","frm_login.php");
}

$sesion_id=session_id();

if(!$conf){
$conf=letra_rand().letra_rand().rand(0,1000).letra_rand().letra_rand();

$ins=mysql_query("insert into confirmaciones set codigo='$conf', usuario = '$uuser', sesion = '$sesion_id', fecha='$fechahora'");
}else{
 if(!$txtrazon){
   alert("Por favor ingrese la razón del cambio de la nota","javascript:history.go(-1)");
 }
 
 if($txtnuevanota=="0"){
  $txtnuevanota="0.00";
 }
 
 //@settype($txtnuevanota,"integer");
 if(empty($txtnuevanota) || $txtnuevanota > 100){
   alert("ERROR: El valor de la nota no es válido,\\npor favor verifíquelo.","javascript:history.go(-1)");
 }

 $conf=dec($conf);
 if(!$_POST[txtnuevanota]){
   alert("Parámetros incorrectos","frm_login.php");
 }

 $qc=mysql_query("select * from confirmaciones where codigo = '$conf' and usuario = '$uuser' and sesion = '$sesion_id'");
 if(mysql_num_rows($qc)>0){
  $id_cr=dec($idc);
//  $id_gr=dec($idg);
  $id_al=dec($ida);
  $id_tr=dec($idt);
  $nota_ant=dec($idna);

  $upd=mysql_query("update respuesta_tareas
                    set nota = '$txtnuevanota',
                    obs='$txtobs'
                    where curso = '$id_cr'
                    and alumno='$id_al'
                    and tarea='$id_tr'");

  $inslog=mysql_query("insert into log_cambio_notastr
                       set alumno = '$id_al', grado='$id_gr',
                       curso = '$id_cr', usuario = '$uuser',
                       fecha = '$fechahora', nota_ant = '$nota_ant',
                       nota_nueva ='$txtnuevanota', razon='$txtrazon'");

  $delconf=mysql_query("delete from confirmaciones where codigo = '$conf' and usuario = '$uuser' and sesion = '$sid'");

  alert("Nota actualizada con éxito","frm_calificar_tareas.php?tid=$idt&gid=$idg&cid=$idc&sid=$sid");
 }else{
  alert("Error, no se encontró la confirmación","javascript:history.go(-1)");
 }
}

$qmtr=mysql_query("select * from tareas where id = ".dec($idt));
$imtr=mysql_fetch_array($qmtr);

$id_ra=dec($idra);
$qra=mysql_query("select * from respuesta_tareas where id = '$id_ra'");
$info_ra=mysql_fetch_array($qra);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>e-Ducativo - Bienvenido</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="../estilo1.css" rel="stylesheet" type="text/css">
<script language="javascript">

function validar_nnota(objeto){
  if(isNaN(parseFloat(objeto.value))){
    alert("La nota ingresada no es válida");
    document.form1.txtnuevanota.value="";
    objeto.select();
    objeto.focus();
    return (false);
  }
  
  if(eval(objeto.value) > <?=$imtr[valor_zona]?>){
    alert("La nota no puede ser mayor a <?=$imtr[valor_zona];?> punto(s)");
    objeto.value="";
    document.form1.txtnuevanota.value="";
    objeto.focus();
    return (false);
  }
  if(objeto.value=="0"){
    document.form1.txtnuevanota.value="00";
  }else{
    document.form1.txtnuevanota.value=Math.round(objeto.value*100/<?=$imtr[valor_zona];?>);
  }
}

function validar(form){
  var respuesta;
  
  if(document.form1.txtnuevanota.value==""){
    alert("Por favor ingrese la nueva nota");
    form.txtnotan.focus();
    return (false);
  }

  if(document.form1.txtrazon.value==""){
    alert("Por favor ingrese la razón del cambio");
    form.txtrazon.focus();
    return (false);
  }
  
  if(document.form1.txtnuevanota.value=="00"){
    respuesta=confirm("Está seguro de ponerle nota CERO al alumno??");
    if(!respuesta){
      return (false);
    }
  }

  return (true);
}
</script>
</head>

<body>
<table width="750" border="0" align="center" cellpadding="0" cellspacing="1" bgcolor="#333333">
  <tr>
    <td bgcolor="#336699">    <table width="100%"  border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#E5E5E5">
      <tr bgcolor="#FFFFFF">
        <td width="40%"><img src="../images/logo_5.gif" width="300" height="50"></td>
        <td width="60%" background="../images/back_header.gif" bgcolor="#FFFFFF"><div align="right" class="usuario_nombre_enc"><strong><?echo "$unombre $uapellido";?><br>
          </strong>Tiene <?=mensajes($uuser);?> mensaje(s) sin leer</div></td>
      </tr>
      <tr bgcolor="#FFFFFF">
        <td height="15" colspan="2" background="../images/barra_encabezado.gif">&nbsp;</td>
        </tr>
    </table>
      <table width="100%"  border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
          <td width="20%" valign="top" bgcolor="#FFFFCC"><?php include("menu.php"); ?>&nbsp;</td>
          <td width="80%" valign="top" bgcolor="#FFFFCC"><table width="100%"  border="0" cellpadding="0" cellspacing="0" bgcolor="#333333">
            <tr align="center" valign="middle" bgcolor="#FFFFCC">
              <td height="20" class="titulo_pagina"><div align="center" class="titulo_pagina">
                <table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td width="65">&nbsp;</td>
                    <td><div align="center" class="titulo_pagina">TAREAS <img src="../images/flecha_3.jpg" width="9" height="9"> Modificar nota</div></td>
                    <td width="65"><div align="right"><a href="inicio.php" class="link_parrafo">Inicio<img src="../images/ic_home.png" width="21" height="21" border="0"></a></div></td>
                  </tr>
                </table>
              </div></td>
            </tr>
            <tr>
              <td align="left" valign="top" bgcolor="#FFFFCC"><div align="left" class="parrafo">
                <form name="form1" method="post" action="frm_notatarea_modificar.php" onsubmit="return validar(form1);" autocomplete="off">
                  <table width="99%"  border="0" align="center" cellpadding="0" cellspacing="1" bgcolor="#000099">
                    <tr>
                      <td bgcolor="#FFFFFF"><table width="100%"  border="0" align="center" cellpadding="1" cellspacing="1" bgcolor="#FFFFFF">
                          <tr bgcolor="#6699CC">
                            <td colspan="2" class="titulo_seccion"><div align="left" class="titulo_formulario">Modificar notas de unidad acad&eacute;mica </div></td>
                          </tr>
                          <tr bgcolor="#EBF3FE">
                            <td width="10%" align="left" valign="middle" bgcolor="#CFDFEF" class="parrafo"><strong>Alumno:</strong></td>
                            <td width="90%" bgcolor="#ECF2F9" class="lbl_formulario"><div align="left"><?=galumno($ida);?></div></td>
                            </tr>
                          <tr bgcolor="#EBF3FE">
                            <td width="10%" align="left" valign="middle" bgcolor="#CFDFEF" class="parrafo"><strong>Curso:</strong></td>
                            <td bgcolor="#ECF2F9" class="lbl_formulario"><div align="left"><?=gcurso($idc);?>
                              <span class="lbl_campo">Secci&oacute;n:</span>                              <?=dec($sid);?>
                            </div></td>
                          </tr>
                          <tr bgcolor="#EBF3FE">
                            <td align="left" valign="middle" bgcolor="#CFDFEF" class="parrafo"><strong>Tarea:</strong></td>
                            <td bgcolor="#ECF2F9" class="lbl_formulario"><?=$imtr[tarea];?></td>
                          </tr>
                      </table>
                        <br>
                        <table width="100%"  border="0" align="center" cellpadding="1" cellspacing="1" bgcolor="#FFFFFF">
                          <tr>
                            <td width="23%" bgcolor="#CFDFEF" class="parrafo"><div align="left" class="lbl_campo">Nota actual:<span class="titulo_pagina"> <strong>
                              <?=round(dec($idna)*$imtr[valor_zona]/100,0);?>
</strong></span><strong> puntos</strong>                             </div></td>
                            <td width="77%" bgcolor="#ECF2F9"><span class="lbl_formulario"><strong>Nueva nota:</strong><em> 
                              <input name="txtnotan" type="text" class="lbl_formulario" id="txtnotan" size="3" maxlength="3" onkeyup="validar_nnota(this);">
                              M&aacute;ximo <?=$imtr[valor_zona];?> puntos </em></span><span class="font_red_11"><em><br>
                              Para asignar nota cero, escriba 00 (doble cero)</em></span><br>
                              <span class="lbl_formulario">Nota sobre el 100%</span>
                                <input name="txtnuevanota" type="text" class="lbl_formulario" id="txtnuevanota" size="3" maxlength="3" readonly="true"></td>
                          </tr>
                          <tr>
                           <td bgcolor="#CFDFEF" class="lbl_campo">Observaciones:</td>
                           <td bgcolor="#ECF2F9"><input name="txtobs" type="text" class="textbox" id="txtobs" size="60" maxlength="255" value="<?=$info_ra[obs];?>"></td>
                          </tr>
                          <tr>
                            <td bgcolor="#CFDFEF" class="parrafo"><div align="left" class="lbl_campo">Raz&oacute;n del cambio:</div></td>
                            <td bgcolor="#ECF2F9"><input name="txtrazon" type="text" class="lbl_formulario" id="txtrazon" size="60" maxlength="255"></td>
                          </tr>
                          <tr>
                            <td colspan="2" class="parrafo"><table width="100%"  border="0" cellspacing="0" cellpadding="5">
                              <tr bgcolor="#CFDFEF">
                                <td width="26%"><div align="left"> <a href="javascript:history.go(-1)"><img src="../images/regresar_c.png" width="32" height="32" border="0"></a><br>Regresar
                                <input name="conf" type="hidden" id="conf" value="<?=enc($conf);?>">
                                <input name="idc" type="hidden" id="idc" value="<?=$idc;?>">
                                <input name="idg" type="hidden" id="idg" value="<?=$gid;?>">
                                <input name="idt" type="hidden" id="idc3" value="<?=$idt;?>">
                                <input name="ida" type="hidden" id="idc4" value="<?=$ida;?>">
                                <input name="idna" type="hidden" id="ida" value="<?=$idna;?>">
                                <input name="sid" type="hidden" id="idn" value="<?=$sid;?>">
                                <input name="idra" type="hidden" id="sid" value="<?=$idra;?>">
                                </div></td>
                                <td width="24%"><div align="center">
                                    <input name="Submit" type="submit" class="boton_guardar" value="Guardar los cambios">
                                </div></td>
                                <td width="28%"><div align="center">
                                    <input name="Submit2" type="reset" class="boton_deshacer" value="Deshacer los cambios">
                                </div></td>
                                <td width="22%">&nbsp;</td>
                             </tr>
                            </table></td>
                           </tr>
                       </table></td>
                    </tr>
                  </table>
                  <br>
                </form>
              </div></td>
              </tr>
          </table></td>
        </tr>
    </table>    </td>
  </tr>
</table>
</body>
</html>
